Subject: Invitation to nominate by 1 February 2025 candidates for election during the 2025 meetings of the conferences of the Parties to the Basel, Rotterdam and Stockholm conventions
From: "BRS Secretariat \(No-Reply\)" <[email-masked]>
Date: Mon, 18 Nov 2024 18:05:46 +0200

Tähelepanu! Tegemist on välisvõrgust saabunud kirjaga.
Tundmatu saatja korral palume linke ja faile mitte avada.	Dear Sir,
dear Madam,
 
Please find attached a letter from Rolph Payet, Executive Secretary of
the Basel, Rotterdam and Stockholm conventions, and Christine Fuell,
Executive Secretary of the Rotterdam Convention, inviting you to consider
nominating by 1 February 2025 candidates for election at the 2025 meetings
of the conferences of the Parties to the Basel, Rotterdam and Stockholm
conventions (Geneva, 28 April-9 May 2025). Please do not hesitate to
contact the Secretariat ([email-masked]) should you have any
queries.
 
Kind regards,
 
Secretariat of the Basel, Rotterdam and Stockholm conventions